Conteníu

# Función Switch

Evalúa una llista d'argumentos que se compon d'una espresión siguida por un valor. La función Switch devuelve un valor que ta acomuñáu cola espresión que pasa esta función.

### Syntax:

    Switch (Expression1, Value1[, Expression2, Value2[..., Expression_n, Value_n]]) As Variant

### Parameters:

La función Switch evalúa les espresiones d'esquierda a derecha y devuelve el valor que ta asignáu a la espresión de la función. Si expresión y valor nun se dan por pareyes, produzse un fallu en tiempu d'execución.

Espresión: La espresión que se deseya evaluar.

Valor: El valor que deseye devolver si la espresión ye cierta (True).

Nel exemplu siguiente, la función Switch asigna'l xéneru apropiáu al nome que se pasa a la función:

### Error codes:

5 Llamada a procedimientu non válida

### Example:

    Sub ExampleSwitch
    Dim sGender As String
        sGender = GetGenderIndex( "John" )
        MsgBox sGender
    End Sub

    Function GetGenderIndex (sName As String) As String
        ObtIndGenero = Switch(sNome = "María", "femenín", sNome = "Juan", "masculín")
    End Function

Temes rellacionaos

Choose Function

Select...Case Statement